%define	version 1.2.0.20090902
%define	release %mkrel 1

Name:      ibus-table-quick
Summary:   ibus-quick - table-based engine
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   GPLv2+
URL:       http://code.google.com/p/ibus/
Source0:   http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: ibus-table-devel >= 1.2.0
BuildArch:	noarch
Requires:	ibus-table >= 1.2.0
Requires(post):	ibus-table >= 1.2.0

%description
ibus-table-quick provide Quick5, Quick3 input method on IBus Table under
IBus framework.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%post
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/quick3.db
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/quick5.db

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_datadir}/ibus-table/icons/*.png
%{_datadir}/ibus-table/tables/*.db


%changelog
* Thu Sep 03 2009 Funda Wang <fundawang@mandriva.org> 1.2.0.20090902-1mdv2010.0
+ Revision: 426840
- new version 1.2.0.20090902

* Tue Aug 04 2009 Funda Wang <fundawang@mandriva.org> 1.2.0.20090720-1mdv2010.0
+ Revision: 408917
- new version series 1.2.0

* Thu Jun 11 2009 Funda Wang <fundawang@mandriva.org> 1.1.0.20090601-1mdv2010.0
+ Revision: 385137
- import ibus-table-quick


